
.. currentmodule:: sardana.macroserver.macro

.. _sardana-macro-api:

===================
Macro API reference
===================

Macro class
-----------

.. autoclass:: Macro
    :members:
    :undoc-members:

Hookable class
--------------

.. autoclass:: Hookable
    :members:
    :undoc-members:

iMacro class
------------

.. autoclass:: iMacro
    :members:
    :undoc-members:

macro decorator
---------------

.. autoclass:: macro
    :members:
    :undoc-members:
    
imacro decorator
----------------

.. autoclass:: imacro
    :members:
    :undoc-members:

StopException
-------------

.. autoclass:: StopException
    :members:
    :undoc-members:

AbortException
--------------

.. autoclass:: AbortException
    :members:
    :undoc-members:

InterruptException
------------------

.. autoclass:: InterruptException
    :members:
    :undoc-members:
